-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You candata obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

local htmlTexture = require("htmlTexture")

local gaugesScreenName = nil
local htmlPath = nil

local updateTimer = 0
local updateFPS = 60
local candata = {electrics = {}}

local function updateGFX(dt)
 -- local time = os.date("%X")
    updateTimer = updateTimer + dt
    if playerInfo.anyPlayerSeated and obj:getUpdateUIflag() then
        updateTimer = 0
        candata.rpmTacho = electrics.values.rpmTacho
        --print(candata.rpmTacho)
        candata.wheelspeed = electrics.values.wheelspeed
        candata.watertemp = electrics.values.watertemp
        candata.gear = electrics.values.gear
        candata.fuelVolume = electrics.values.fuelVolume
        htmlTexture.call(gaugesScreenName, "updateData", candata)
		
		if electrics.values.watertemp > 110 then 
		electrics.values.overheat = 1 else 
		electrics.values.overheat = 0 end
  end
--[[ if time == "04:00:00" then
    local msgPlace = "erisleep!"
    msgPlace = string.format("It's 4am! Go to sleep Eri! /CK")
    print( "(chisaiGagues -- DEBUG) It's 4am! Go to sleep Eri! /CK" )
    print( time ) 
    guihooks.trigger('Message', {ttl = 10, msg = msgPlace, category = "test", icon = "audiotrack"})
  end ]]--
end

local function init(jbeamData)
    gaugesScreenName = jbeamData.materialName
    htmlPath = jbeamData.htmlPath
    local width = 256
    local height = 256
  
    if not gaugesScreenName then
      log("E", "bolidemodernGauges", "Got no material name for the texture, candata't display anything...")
      M.updateGFX = nop
    else
      if htmlPath then
        htmlTexture.create(gaugesScreenName, htmlPath, width, height, updateFPS, "automatic")
      else
        log("E", "bolidemodernGauges", "Got no html path for the texture, candata't display anything...")
        M.updateGFX = nop
      end
    end
end

local function reset()
end
  
M.init = init
M.reset = reset
--nop
M.updateGFX = updateGFX

M.setParameters = setParameters

return M